# Method: projects.versions.read

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.request_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.response_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read#body.ReadVersionResponse.SCHEMA_REPRESENTATION)

Reads the entire content of a project version.

### HTTP request

`POST https://actions.googleapis.com/v2/{name=projects/*/versions/*}:read`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the version resource in the format `projects/{project}/versions/{version}`. `{project}` is the cloud project ID associated with the project, `{version}` is the identifier of the version being read. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "clientSecretEncryptionKeyVersion": string } ``` |

| Fields ||
|---|---|
| `clientSecretEncryptionKeyVersion` | `string` Optional. The version of the crypto key used to encrypt the account linking OAuth client secret. If not specified, the primary key version is used for encryption. Only relevant for projects with account linking with client secret. |

### Response body

If successful, the response body contains data with the following structure:
Streaming RPC response for versions.read.

| JSON representation ||
|---|---|
| ``` { "files": { object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Files`) } } ``` |

| Fields ||
|---|---|
| `files` | ``object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Files`)`` List of files sent from the server at a time. |